"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var f=Object.create;var p=Object.defineProperty;var m=Object.getOwnPropertyDescriptor;var F=Object.getOwnPropertyNames;var x=Object.getPrototypeOf,b=Object.prototype.hasOwnProperty;var h=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var _=(t,e,i,l)=>{if(e&&typeof e=="object"||typeof e=="function")for(let u of F(e))!b.call(t,u)&&u!==i&&p(t,u,{get:()=>e[u],enumerable:!(l=m(e,u))||l.enumerable});return t};var E=(t,e,i)=>(i=t!=null?f(x(t)):{},_(e||!t||!t.__esModule?p(i,"default",{value:t,enumerable:!0}):i,t));var c=h((A,d)=>{d.exports=Vue});var o=E(c());({}).NODE_ENV!=="production"&&Object.freeze({});({}).NODE_ENV!=="production"&&Object.freeze([]);function g(t,e,...i){uni.__log__?uni.__log__(t,e,...i):console[t].apply(console,[...i,e])}var D=(t,e={})=>uni.$u.http.post("/platform/api/out/mobile/email/sendEmail",t,e),y={content:{"":{paddingTop:"48rpx",paddingRight:"48rpx",paddingBottom:"48rpx",paddingLeft:"48rpx",overflow:"hidden",borderRadius:"16rpx"}},input:{"":{height:"120rpx",paddingTop:"30rpx",paddingRight:"80rpx",paddingBottom:"30rpx",paddingLeft:"80rpx",marginTop:"64rpx",marginBottom:"64rpx",backgroundColor:"#F5F5F5",borderRadius:"8rpx"}},btn:{"":{flexDirection:"row",height:63}},cancel:{"":{flex:1,justifyContent:"center",alignItems:"center",width:"240rpx",height:"96rpx",fontFamily:"PingFangSC-Regular, PingFang SC",borderRadius:"8rpx",marginRight:"46rpx",backgroundColor:"#ffffff",borderWidth:"2rpx",borderStyle:"solid",borderColor:"#3288FD"}},submit:{"":{flex:1,justifyContent:"center",alignItems:"center",width:"240rpx",height:"96rpx",fontFamily:"PingFangSC-Regular, PingFang SC",borderRadius:"8rpx",color:"#FFFFFF",backgroundColor:"#3288FD"}}},B=(t,e)=>{let i=t.__vccOpts||t;for(let[l,u]of e)i[l]=u;return i},v={data(){return{email:"",loading:!1,formData:{subject:"ITQM",content:"\u9644\u4EF6",emailFileDtos:[{fileName:"",fileUrls:""}],recipientEmails:""}}},onUnload(){uni.$off("from-parent")},onLoad(){uni.$on("from-parent",t=>{this.formData.emailFileDtos=t,g("log","at pages/index/dialogSubvue/dialog.nvue:66","\u63A5\u624B\u4E86",t)})},methods:{close(){this.email="",this.formData={subject:"ITQM",content:"\u9644\u4EF6",emailFileDtos:[{fileName:"",fileUrls:""}],recipientEmails:""},uni.getSubNVueById("popup").hide("zoom-fade-in",300)},confirmModal(){if(this.loading)return;if(!this.email){uni.$u.toast("\u8BF7\u8F93\u5165\u90AE\u7BB1\u5730\u5740");return}if(!uni.$u.test.email(this.email)){uni.$u.toast("\u90AE\u7BB1\u683C\u5F0F\u4E0D\u6B63\u786E");return}this.loading=!0,this.formData.recipientEmails=[this.email];let t=JSON.parse(JSON.stringify(this.formData));D(t).then(e=>{g("log","at pages/index/dialogSubvue/dialog.nvue:100",e),this.loading=!1,e.code==200&&e.data?(uni.$u.toast("\u90AE\u4EF6\u53D1\u9001\u6210\u529F\uFF0C\u8BF7\u6CE8\u610F\u67E5\u6536"),this.close()):uni.$u.toast("\u90AE\u4EF6\u53D1\u9001\u5931\u8D25")})}}};function C(t,e,i,l,u,r){return(0,o.openBlock)(),(0,o.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,o.createElementVNode)("div",{class:"content"},[(0,o.createElementVNode)("div",{class:"title"},[(0,o.createElementVNode)("u-text",{style:{"font-size":"24px","font-weight":"600",color:"#333","text-align":"center"}}," \u4E0B\u8F7D\u62A5\u544A ")]),(0,o.createElementVNode)("u-input",{modelValue:u.email,onInput:e[0]||(e[0]=n=>u.email=n.detail.value),class:"input",placeholder:"\u8BF7\u8F93\u5165\u60A8\u6536\u53D6\u9644\u4EF6\u7684\u90AE\u7BB1"},null,40,["modelValue"]),(0,o.createElementVNode)("div",{class:"btn"},[(0,o.createElementVNode)("div",{class:"cancel",onClick:e[1]||(e[1]=(...n)=>r.close&&r.close(...n))},[(0,o.createElementVNode)("u-text",{style:{color:"#3288FD"}}," \u53D6\u6D88 ")]),(0,o.createElementVNode)("div",{class:"submit",onClick:e[2]||(e[2]=(...n)=>r.confirmModal&&r.confirmModal(...n))},[(0,o.createElementVNode)("u-text",{style:{color:"#fff"}},(0,o.toDisplayString)(u.loading?"\u53D1\u9001\u4E2D":"\u786E\u8BA4"),1)])])])])}var a=B(v,[["render",C],["styles",[y]]]);var s=plus.webview.currentWebview();if(s){let t=parseInt(s.id),e="pages/index/dialogSubvue/dialog",i={};try{i=JSON.parse(s.__query__)}catch(u){}a.mpType="page";let l=Vue.createPageApp(a,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:i});l.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...a.styles||[]])),l.mount("#root")}})();
